Subject: Re: bug#35675: 27.0.50; Is line-number-at-pos unnecessarily slow?
From: Alex Branham <[email-masked]>
To: "Basil L. Contovounesios" <[email-masked]>
Cc: [email-masked]
Date: Tue, 14 May 2019 07:34:24 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sat 11 May 2019 at 15:36, Basil L. Contovounesios <[email-masked]> wrote:

> Alex Branham <[email-masked]> writes:
>
>> line-number-at-pos basically regex searches forward for \n's and
>> counts them up.
>
> It only does this (via count-lines) if selective-display is t, which is
> deprecated and seldom used.  Otherwise it uses the value returned by
> forward-line (defined in C), which calls find_newline, which AFAIK uses
> the buffer's newline cache to some extent (I'm not familiar with its
> implementation).

Thanks, I missed/misunderstood that part.

> Either way, as Eli says, there's often an algorithmic solution to
> slowness in uses of count-lines.

I'll take that advice and see if there's a more clever way to go about it.

Thanks again,
Alex